Skip to content Kleinanzeigen Public API Gateway Documentation
POST
/v1/imprints
curl --request POST \
--url https://developer.kleinanzeigen.de/api/goods/v1/imprints \
--header 'Content-Type: application/json' \
--header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...' \
--data '{ "content": "example" }'

Creates new imprint for the authenticated user

HttpHeaders.AUTHORIZATION
required
Media type application/json
object
content
required
string
Example generated
{
"content": "example"
}

Imprint created successfully

Media type application/json
string
Example
{
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}

Bad Request - Invalid data or validation error

Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{
"type": "about:blank",
"status": 400,
"title": "Bad Request",
"detail": "Failed to read request",
"instance": "/api/v1/imprints",
"localizedTitle": "",
"localizedDetail": "",
"localizedMessage": ""
}